curl --request GET \
--url https://api.olostep.com/v1/crawls/{crawl_id}/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/crawls/{crawl_id}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/crawls/{crawl_id}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crawl_id": "<string>",
"object": "<string>",
"status": "<string>",
"search_query": "<string>",
"pages_count": 123,
"pages": [
{
"id": "<string>",
"retrieve_id": "<string>",
"url": "<string>",
"is_external": true,
"html_content": "<string>",
"markdown_content": "<string>"
}
],
"metadata": {
"external_urls": [
"<string>"
],
"failed_urls": [
"<string>"
]
},
"cursor": 123
}Crawl Pagina’s
Haalt de lijst van pagina’s op voor een specifieke crawl.
Autorisaties
Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.
Padparameters
De ID van de crawl waarvoor je de lijst van URLs wilt ophalen.
Queryparameters
Optioneel geheel getal dat de index vertegenwoordigt om inhoud vanaf te halen. Handig om te pagineren totdat alle URLs zijn opgehaald. Begin met 0, geef dan de waarde van response['cursor'] van het laatste verzoek.
Optioneel geheel getal om het aantal geretourneerde resultaten te beperken. Aanbevolen 10-50 resultaten per keer. Gepagineerd met behulp van cursor. Maximaal 10MB aan inhoud kan in één verzoek worden opgehaald.
Een optionele zoekopdracht om de resultaten op relevantie te sorteren. Gebruikt standaard de originele search_query als deze is opgegeven.
Verouderd: Gebruik /retrieve endpoint met retrieve_id. Array van formaten om op te halen (bijv. ["html", "markdown"]).
html, markdown Respons
Succesvolle reactie met de lijst van URLs.
Crawl ID
Het soort object. "crawl" voor dit endpoint.
in_progress of completed
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Moet in de query worden doorgegeven in de volgende aanvraag om de volgende items te krijgen.
Was deze pagina nuttig?